###################################################
### chunk number 1: 
###################################################
#line 49 "d:/Rcompile/CRANpkg/local/2.12/geepack/inst/doc/geepack-manual.Rnw"
library(geepack)
timeorder <- rep(1:5, 6)
tvar      <- timeorder + rnorm(length(timeorder))
idvar <- rep(1:6, each=5)
uuu   <- rep(rnorm(6), each=5)
yvar  <- 1 + 2*tvar + uuu + rnorm(length(tvar))
simdat <- data.frame(idvar, timeorder, tvar, yvar)
head(simdat,12)


###################################################
### chunk number 2: 
###################################################
#line 66 "d:/Rcompile/CRANpkg/local/2.12/geepack/inst/doc/geepack-manual.Rnw"
mod1 <- geeglm(yvar~tvar, id=idvar, data=simdat, corstr="ar1")
mod1


###################################################
### chunk number 3: 
###################################################
#line 86 "d:/Rcompile/CRANpkg/local/2.12/geepack/inst/doc/geepack-manual.Rnw"
set.seed(123)
library(doBy)
simdatPerm <- simdat[sample(nrow(simdat)),]
simdatPerm <- orderBy(~idvar, simdatPerm)
head(simdatPerm)


###################################################
### chunk number 4: 
###################################################
#line 101 "d:/Rcompile/CRANpkg/local/2.12/geepack/inst/doc/geepack-manual.Rnw"
mod2 <- geeglm(yvar~tvar, id=idvar, data=simdatPerm, corstr="ar1")
mod2


###################################################
### chunk number 5: 
###################################################
#line 110 "d:/Rcompile/CRANpkg/local/2.12/geepack/inst/doc/geepack-manual.Rnw"
simdatPerm2 <- orderBy(~timeorder, data=simdat)
geeglm(yvar~tvar, id=idvar, data=simdatPerm2, corstr="ar1")


###################################################
### chunk number 6: 
###################################################
#line 125 "d:/Rcompile/CRANpkg/local/2.12/geepack/inst/doc/geepack-manual.Rnw"
wav <- simdatPerm$timeorder
wav
mod3 <- geeglm(yvar~tvar, id=idvar, data=simdatPerm, corstr="ar1", waves=wav)
mod3


###################################################
### chunk number 7: 
###################################################
#line 138 "d:/Rcompile/CRANpkg/local/2.12/geepack/inst/doc/geepack-manual.Rnw"
cor.fixed <- matrix(c(1    , 0.5  , 0.25,  0.125, 0.125,
                      0.5  , 1    , 0.25,  0.125, 0.125,
                      0.25 , 0.25 , 1   ,  0.5  , 0.125,
                      0.125, 0.125, 0.5  , 1    , 0.125,
                      0.125, 0.125, 0.125, 0.125, 1     ), 5, 5)
cor.fixed


###################################################
### chunk number 8: 
###################################################
#line 152 "d:/Rcompile/CRANpkg/local/2.12/geepack/inst/doc/geepack-manual.Rnw"
zcor <- fixed2Zcor(cor.fixed, id=simdatPerm$idvar, waves=simdatPerm$timeorder)
zcor


###################################################
### chunk number 9: 
###################################################
#line 163 "d:/Rcompile/CRANpkg/local/2.12/geepack/inst/doc/geepack-manual.Rnw"
mod4 <- geeglm(yvar~tvar, id=idvar, data=simdatPerm, corstr="fixed", zcor=zcor)
mod4


